summaryrefslogtreecommitdiff
path: root/install-info/tests/ii-0041-test
diff options
context:
space:
mode:
Diffstat (limited to 'install-info/tests/ii-0041-test')
-rwxr-xr-xinstall-info/tests/ii-0041-test32
1 files changed, 32 insertions, 0 deletions
diff --git a/install-info/tests/ii-0041-test b/install-info/tests/ii-0041-test
new file mode 100755
index 0000000..daacc64
--- /dev/null
+++ b/install-info/tests/ii-0041-test
@@ -0,0 +1,32 @@
+#!/bin/sh
+# This file is free software; as a special exception the author gives
+# unlimited permission to copy and/or distribute it, with or without
+# modifications, as long as this notice is preserved.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+
+. ./defs || exit 1
+
+tempfile=`mktemp ii41-XXXXXXXX`
+outputdirfile=$tempfile.gz
+cp ${testdir}/ii-0041-input-dir-file.gz $outputdirfile
+if [ "x$?" != "x0" ]; then
+ exit 1
+fi
+
+# when copying in distcheck, source will be readonly.
+chmod u+rw $outputdirfile || exit $?
+
+${install_info} ${testdir}/ii-0041-input-info-file $outputdirfile
+retval=$?
+if [ "x$retval" != "x0" ]; then
+ exit $retval
+fi
+
+zdiff ${testdir}/ii-0041-expected-dir-file.gz $outputdirfile
+retval=$?
+
+rm -f $tempfile $outputdirfile
+exit $retval